import java.io.*;

/**
 * Alle Postfix-Ausdruecke in einer Datei auswerten.
 * 
 * @author Owyn
 * @version 2007-07-20
 */
public class IO {

    /**
     * Laesst die Klasse Postfix jede Zeile der Datei README.TXT als Ausdruck interpretieren.
     */
    public static void io() {
        try {
            BufferedReader br = new BufferedReader( // Datei oeffnen
                                    new FileReader("README.TXT"));
            String zeile;
            while ((zeile = br.readLine()) != null) { // Zeile einlesen, bis die Datei zu Ende ist
                Postfix.postfix(zeile); // Zeile interpretieren lassen
            }
            br.close(); // Datei schliessen
        }
        catch (FileNotFoundException e) {
            System.err.println("Datei nicht gefunden!");
        }
        catch (IOException e) {
            System.err.println("Fehler beim Lesen der Datei!");
        }
    }

}